travaillez en VB.NET

vos questions concernant les API SolidWorks

travaillez en VB.NET

Messagepar steeve osteen » Jeu 13 Nov 2008, 13:41

alors pour travaillez en VB.NET, je sais qu'il existe des templates pour VB express.
par contre je sais pas où on les trouve??

DotNet tu pourrais nous faire un TUTO de base pour préparer son espace de travail sous VB.NET?
ancien admin de ce forum..
maintenant je suis sur le forum Solid Agora
Avatar de l’utilisateur
steeve osteen
Esprit Jedi Solidworks
 
Messages: 3474
Inscription: Sam 22 Avr 2006, 13:03
Localisation: saint pierre des ifs (eure)---SW 2011 SP2 + simulation advance pro et 16Go de ram

Messagepar DotNET74 » Jeu 13 Nov 2008, 13:50

Il y a 2 manières qui sotn les suivantes:

1. Développement d'une application externe.

Créer une application WinForms et ajouter des références .NET à SolidWorks.Interop

2. Développement d'un AddIn.

Il faut des fichiers (Que je n'ai pas) à ajouter dans les Templates de Visual Studio
La démarche est dans la documentation Solid à la rubrique API
Avatar de l’utilisateur
DotNET74
Chevalier Jedi SolidWorks
 
Messages: 247
Inscription: Mer 22 Oct 2008, 18:37

Messagepar steeve osteen » Jeu 13 Nov 2008, 13:59

ok par contre les templates pour les addins j'arrive pas à les trouver ça fait c****
enfin on verra bien une fois que j'aurais commencé.
par contre une question, lorsque tu lances ton appli externe tu peux arriver à la faire tourner avec le namespace solidworks.interop sans lancer SW??
ancien admin de ce forum..
maintenant je suis sur le forum Solid Agora
Avatar de l’utilisateur
steeve osteen
Esprit Jedi Solidworks
 
Messages: 3474
Inscription: Sam 22 Avr 2006, 13:03
Localisation: saint pierre des ifs (eure)---SW 2011 SP2 + simulation advance pro et 16Go de ram

Messagepar DotNET74 » Jeu 13 Nov 2008, 15:14

Si ta question est:

Le NameSpace SolidWorks.InterOp est un wrapper entre .NET et la Dll API de Solidworks.

Donc soit tu pars du principe qu'elle est installé sur la machine cliente, soit tu l'inclut dans ton système de déploiement de ton application.

Comme ça elle tournera sans problème même si SolidWorks n'est pas démarré
Avatar de l’utilisateur
DotNET74
Chevalier Jedi SolidWorks
 
Messages: 247
Inscription: Mer 22 Oct 2008, 18:37

Messagepar steeve osteen » Jeu 13 Nov 2008, 15:21

donc en gros avec l'intégration du namespace solidworks.interop dans mon appli si SW est déjà installer sur mon poste, pas besoin de fiare démarrer SW pour faire ce que j'ai à faire??
ancien admin de ce forum..
maintenant je suis sur le forum Solid Agora
Avatar de l’utilisateur
steeve osteen
Esprit Jedi Solidworks
 
Messages: 3474
Inscription: Sam 22 Avr 2006, 13:03
Localisation: saint pierre des ifs (eure)---SW 2011 SP2 + simulation advance pro et 16Go de ram

Messagepar DotNET74 » Jeu 13 Nov 2008, 15:23

Non

Mais tu peux même le faire démarrer depuis ton applications

Dim MySolidWorks As New SolidWorks.InterOp....

Ce code crée une instance de Solidworks en mémoire (Voir dans le Gestionnaire de Tâches)

MySolidWorks.Visible = True

Affiche à l'utilisateur SolidWorks
Avatar de l’utilisateur
DotNET74
Chevalier Jedi SolidWorks
 
Messages: 247
Inscription: Mer 22 Oct 2008, 18:37

Messagepar steeve osteen » Jeu 13 Nov 2008, 15:24

ok par contre je peux le faire tourner en hidden le temps de faire travailler mon appli et ensuite je le referme...

ça me va comme ça.
ancien admin de ce forum..
maintenant je suis sur le forum Solid Agora
Avatar de l’utilisateur
steeve osteen
Esprit Jedi Solidworks
 
Messages: 3474
Inscription: Sam 22 Avr 2006, 13:03
Localisation: saint pierre des ifs (eure)---SW 2011 SP2 + simulation advance pro et 16Go de ram

Messagepar DotNET74 » Jeu 13 Nov 2008, 15:25

Yes et en plus c'est plus rapide car SolidWorks ne gèrera pas l'affichage.
Avatar de l’utilisateur
DotNET74
Chevalier Jedi SolidWorks
 
Messages: 247
Inscription: Mer 22 Oct 2008, 18:37

Messagepar Annwn » Jeu 13 Nov 2008, 21:13

[MODE HS, mais pas tant que ça!]

Ce serait pas mal, pour mettre tout le monde dans la bain (parce que moi aussi ça m'intéresse de passé en .NET vu que c'est ce qui se profile pour la 2009!), que tu nous montres des exemples simples programmé en VB.NET aevc quelques explications.
Mais bien sur tout dépend de ton temps ! :D

Merci tout de même pour ta patience car je lis (et je pense que je ne suis pas le seul !) toutes tes réponses en relation avec VB.NET avec attention :wink:

[/MODE HS]
Programmer, c'est bien; programmer utile, c'est mieux........
Venez faire un tour ici !
Annwn
Site Admin
 
Messages: 4938
Inscription: Lun 18 Déc 2006, 22:35

Messagepar Chico » Ven 14 Nov 2008, 2:59

Annwn a écrit:[MODE HS, mais pas tant que ça!]

Ce serait pas mal, pour mettre tout le monde dans la bain (parce que moi aussi ça m'intéresse de passé en .NET vu que c'est ce qui se profile pour la 2009!), que tu nous montres des exemples simples programmé en VB.NET aevc quelques explications.
Mais bien sur tout dépend de ton temps ! :D

Merci tout de même pour ta patience car je lis (et je pense que je ne suis pas le seul !) toutes tes réponses en relation avec VB.NET avec attention :wink:

[/MODE HS]

+1 Annwn, et je ne crois pas que ce soit HS, au contraire. :D

Évidemment, des exemples ne seraient pas de refus. :D

Mais bien sûr tout dépend de tes disponibilités. :wink:
Il vaut mieux poser une question et risquer d'avoir l'air idiot
une journée que de se taire et d'être bête toute sa vie.

8wd a dit : LA FONCTION RECHERCHE EST TON AMIE
http://www.logiciel-cao.com
Avatar de l’utilisateur
Chico
Esprit Jedi Solidworks
 
Messages: 3120
Inscription: Mer 12 Mar 2008, 19:16
Localisation: Mauricie (Québec) ------SW 2006 SP0.0

Messagepar DotNET74 » Ven 14 Nov 2008, 7:11

Pas de problème pour les exemples et suivant mon temps.

En revanche, c'est plus simple pour moi de répondre à vos questions plutôt que de vous proposer des exemples.

PS: Ma signature n'apparaît pas est-ce normale ?
Avatar de l’utilisateur
DotNET74
Chevalier Jedi SolidWorks
 
Messages: 247
Inscription: Mer 22 Oct 2008, 18:37

Messagepar jvaz » Ven 14 Nov 2008, 7:56

Voici un petit truk que j'ai trouver . regarcer et dites moi ci ca peut vous servir
jvaz
Padawan SolidWorks
 
Messages: 127
Inscription: Mar 22 Juil 2008, 12:46

Messagepar DotNET74 » Ven 14 Nov 2008, 8:03

Oui,

c'est ça, pourrais tu nous donner le lien pour télécharger le VB AddIn Template.

Normalement c'est pas nécessaire de passer par l'onglet COM puisque dans l'onglet .NET il y a des références identiques.
Avatar de l’utilisateur
DotNET74
Chevalier Jedi SolidWorks
 
Messages: 247
Inscription: Mer 22 Oct 2008, 18:37

Messagepar steeve osteen » Ven 14 Nov 2008, 8:19

merci pour les infos mais un lien vers le download des templates serait un plus.
@DotNet, pour la signature c'est due à un bug du forum il faut cliquer à chaque fois sur ajouter ma signature quand tu écris ton message sinon par défaut elle apparait pas même si tu le demandes dans ton profil..
ancien admin de ce forum..
maintenant je suis sur le forum Solid Agora
Avatar de l’utilisateur
steeve osteen
Esprit Jedi Solidworks
 
Messages: 3474
Inscription: Sam 22 Avr 2006, 13:03
Localisation: saint pierre des ifs (eure)---SW 2011 SP2 + simulation advance pro et 16Go de ram

Messagepar jvaz » Ven 14 Nov 2008, 8:24

désolé je n'ai pas trouver ce lien par contre j'ai un code je ne sais pas trop a quoi il sert mais vous vous le serrez peut etre
Code: Tout sélectionner
Option Explicit On
Option Strict Off

Module Solidworks
    Public SwApp As SldWorks.SLdWorks
    Public SwPart As SldWorks.PartDoc
    Public SwModel As SldWorks.ModelDoc2
    Public SwSelMgr As SldWorks.SelectionMgr
    Public SwSelData As SldWorks.SelectData
    Public SwAssemblyDoc As Sldworks.AssemblyDoc
    Public SwAppCreated As Integer

    Try
    'attachement à une instance de solidworks
    '(si solidworks est déja lancé)
    SwApp = GetObject(,"SldWorks.Application")
    SwAppCreated = 0
    Catch ex As Exception
    'création d'une instance de solidworks
    '(si solidworks n'est pas lancé)
    SwApp = CreateObject("SldWorks.Application")
    Dim openDocErrors, openDocWarnings As Integer
    SwApp.OpenDoc6("c:\temp\default.sldprt", SwConst.SwDocumentTypes_e.swDocPART, 0, "", openDocErrors, openDocWarnings)
    swAppCreated = 1
    End Try
    'récupère le document actif
    swModel = swApp.ActiveDoc
    Try 'si le document ouvert est une pièce
    swPart = swModel
    Catch ex As Exception ' si le document ouvert est un assemblage
    swAssemblyDoc = swModel
    End Try
    swSelMgr = swModel.SelectionManager
    swSelData = swSelMgr.CreateSelectData

End Module

jvaz
Padawan SolidWorks
 
Messages: 127
Inscription: Mar 22 Juil 2008, 12:46

Suivante

Retourner vers Questions générales sur les API

Qui est en ligne

Utilisateurs parcourant ce forum: Google [Bot] et 4 invités

banniere